This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 629320

Summary: DBusException: org.freedesktop.DBus.Error.AccessDenied: Interface "org.freedesktop.NetworkManager" isn't exported (or may not exist), can't access property "Interface"
Product: [Fedora] Fedora Reporter: Dave Jones <cqbkaju>
Component: anacondaAssignee: Anaconda Maintenance Team <anaconda-maint-list>
Status: CLOSED DUPLICATE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 13CC: anaconda-maint-list, jonathan, vanmeeuwen+fedora
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard: anaconda_trace_hash:994974a3849df2b768ff56350925e84aa35e0ebdc4e5af78e19a36a81581dec6
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-09-02 09:49:44 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
Attached traceback automatically from anaconda. none

Description Dave Jones 2010-09-01 11:57:21 EDT
The following was filed automatically by anaconda:
anaconda 13.42 exception report
Traceback (most recent call first):
  File "/usr/lib/python2.6/site-packages/dbus/connection.py", line 630, in call_blocking
    message, timeout)
  File "/usr/lib/python2.6/site-packages/dbus/proxies.py", line 140, in __call__
    **keywords)
  File "/usr/lib/python2.6/site-packages/dbus/proxies.py", line 68, in __call__
    return self._proxy_method(*args, **keywords)
  File "/usr/lib/anaconda/isys.py", line 338, in getDeviceProperties
    device_interface = str(device_props_iface.Get(NM_MANAGER_IFACE, "Interface"))
  File "/usr/lib/anaconda/network.py", line 277, in __init__
    devhash = isys.getDeviceProperties(dev=None)
  File "/usr/sbin/anaconda", line 546, in network
    self._network = network.Network()
  File "/usr/lib/anaconda/iw/network_gui.py", line 82, in getNext
    self.anaconda.network.hostname = hostname
  File "/usr/lib/anaconda/gui.py", line 1309, in nextClicked
    rc = self.currentWindow.getNext ()
DBusException: org.freedesktop.DBus.Error.AccessDenied: Interface "org.freedesktop.NetworkManager" isn't exported (or may not exist), can't access property "Interface"
Comment 1 Dave Jones 2010-09-01 11:57:26 EDT
Created an attachment (id=442443)
Attached traceback automatically from anaconda.
Comment 2 Dave Jones 2010-09-01 12:10:46 EDT
I testing the anaconda installer in a kickstart build using the following packages (per Bug # 623237) with SELinux in PERMISSIVE mode.

python-slip-0.2.13-1.fc13.noarch
python-slip-dbus-0.2.13-1.fc13.noarch
python-slip-gtk-0.2.13-1.fc13.noarch

After the installer has me select a drive it dumps the attached error messages.
Comment 3 Chris Lumens 2010-09-01 14:39:03 EDT
Is NetworkManager even running?  You can check on tty2.

Also is this the F13 GA, or is it a rebuild with the GA anaconda?
Comment 4 Dave Jones 2010-09-01 14:46:58 EDT
"service NetworkManager status" reports it is running and I see the icon on the toolbar.

This is a rebuild via kickstart.

# rpm -qa | grep anaconda
anaconda-13.42-1.fc13.i686
anaconda-yum-plugins-1.0-5.fc12.noarch

Thank you.
Dave
Comment 5 Chris Lumens 2010-09-01 16:09:26 EDT
This looks to be because NM has been updated in F13 and has changed some piece of API such that released anaconda no longer works with it.  Fantastic.  Insert rant about Fedora update policy here.
Comment 6 Chris Lumens 2010-09-02 09:49:44 EDT

*** This bug has been marked as a duplicate of bug 626780 ***